Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jclark.xsl.tr
Interface Result

All Known Subinterfaces:
  ActionDebugTarget

All Known Implementing Classes:
  ResultBase, ResultBase

public interface Result

As transformation proceeds, "Actions" are performed, and an output tree is constructed. Rather than building the output tree as an object model in memory, it is represented as the sequence of events that could be used to construct the tree. These events may indeed be used to build such a model, as is the case with result tree fragments, or they may be directly serialized to the output.

a Result is the object which recieves these events, then serializes them or builds an object model, as appropriate.

Method Summary
`void` | `attribute(Name name, java.lang.String value)` Construct an Attribute ...
`void` | `characters(java.lang.String str)` build a TEXT node
`void` | `comment(java.lang.String str)` Construct a comment
`Result` | `createResult(java.lang.String uri)` Create a new Result object for serializing to the destination uri.
`void` | `end()` Finish constructing stuff.
`void` | `endElement(Name elementType)` Finish constructing an Element
`void` | `message(Node node, java.lang.String str)` Support the `xsl:message` element.
`void` | `processingInstruction(java.lang.String target, java.lang.String data)` Construct a Processing Instruction
`void` | `rawCharacters(java.lang.String str)` Some (possibly) non XML characters
`void` | `start(OutputMethod outputMethod)` Prepare to start constructing stuff. ... take care of any initialization tasks.
`void` | `startElement(Name elementType, NamespacePrefixMap nsMap)` Start constructing an Element (NB) The nsMap must declare the prefix on elementType correctly.

Method Detail

### characters

    public void characters(java.lang.String str)
                    throws XSLException

  build a TEXT node

  Throws:
    `XSLException`

### rawCharacters

    public void rawCharacters(java.lang.String str)
                       throws XSLException

  Some (possibly) non XML characters

  Throws:
    `XSLException`

### startElement

    public void startElement(Name elementType,
                             NamespacePrefixMap nsMap)
                      throws XSLException

  Start constructing an Element (NB) The nsMap must declare the prefix on elementType correctly.

  Throws:
    `XSLException`

### endElement

    public void endElement(Name elementType)
                    throws XSLException

  Finish constructing an Element

  Throws:
    `XSLException`

### comment

    public void comment(java.lang.String str)
                 throws XSLException

  Construct a comment

  Throws:
    `XSLException`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws XSLException

  Construct a Processing Instruction

  Throws:
    `XSLException`

### attribute

    public void attribute(Name name,
                          java.lang.String value)
                   throws XSLException

  Construct an Attribute ... Unlike SAX, we don't have the luxury of having all the Attributes present when the Element is started. Some may be constructed later as a consequence of an `xsl:attribute` for example.

  Throws:
    `XSLException`

### start

    public void start(OutputMethod outputMethod)
               throws XSLException

  Prepare to start constructing stuff. ... take care of any initialization tasks.

  Parameters:
    `outputMethod` - whatever the stylesheeet has told us about how it wants the trasnformed results output
  Throws:
    `XSLException`

### end

    public void end()
             throws XSLException

  Finish constructing stuff.

  Throws:
    `XSLException`

### createResult

    public Result createResult(java.lang.String uri)
                        throws XSLException

  Create a new Result object for serializing to the destination uri. Provides support for the "xt:document" extension element

  Throws:
    `XSLException`

### message

    public void message(Node node,
                        java.lang.String str)
                 throws XSLException

  Support the `xsl:message` element.

  Parameters:
    `node` - The source context node under consideration when the message action is performed. May be used for locator information
  Throws:
    `XSLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD